-- eigener Held, mit Zuordnung (unit_id=2)
-- StartTurnAction; Count=1; Held
function Held()
	CreateHero(2)
end

function CreateHero(unit_id)
	local hero = NewHero()
	hero.portrait = "/Game/Gui/Common/Heroes/generic_standin.generic_standin"
	hero.name = "Ronald_Camouflage"
	hero.extra_traits = {UnitTrait.Camouflage}
	hero.unit_classes = {UnitClass.Recon}
	local action = world:MakeNewHeroAction(1, hero)
	world:Exec(action)

	local assign_hero_action = world:MakeAssignHeroAction(world:GetUnit(unit_id), hero.id)
	world:Exec(assign_hero_action)
end


-- Wenn Spieler Depot erobert, Strkepunkte als "captured" zuweisen
-- Count: 0 ; Actions: CaptureFlagAction ; Function: OnCaptureDepot
Depot = {{8,5}}
string = "General, wir haben ein italienisches Depot erobert."

-- In diese Tabelle werden alle eroberten Depots eingetragen, damit man den Bonus nur bei der 1. Eroberung erhllt
captured_depots = {}

function OnCaptureDepot(action)
	if IsItemInTable(captured_depots, action.flag) then return end			-- Abfrage ob Depot bereits erobert ist
	if (action.new_owner == 1 and IsItemInTable(Depot, action.flag)) then		-- nur ausfhren, wenn Spieler (2. Spieler) Depot erobert
		AddEquipment(1, "L3-35Lf", 19, captured)
		AddEquipment(1, "AB40", 19, captured)
		AddEquipment(1, "47-32M35", 19, captured)
		AddEquipment(1, "105mm105-28", 19, captured)
		TutorialMessage(string)					
		table.insert(captured_depots, action.flag)		-- Merken, dass das Depot erobert wurde
	else
		return
	end
end

-- die 3 hierfr ntigen Hilfsfunktionen
function FindItemInTable(table, item)
	for index,i in ipairs(table) do
		if i == item then
			return index 
		end
	end
	return -1
end

function IsItemInTable(table, item)
	return FindItemInTable(table, item) ~= -1
end

function AddEquipment(player_id, unit_type, quantity, category)
	local player = world:GetPlayer(player_id)
	local equipment = player.equipment
	local type = GetUnitType(unit_type)
	local eq = equipment[type]
	if (eq == nil) then
		eq = NewEquipment()
		eq.category = category
		equipment[type] = eq
	end
	eq.quantity = eq.quantity + quantity
	player.equipment = equipment
end
