-- eigener Held, ohne Zuordnung
-- StartTurnAction; Count=1
function CreateHero()
	local hero = NewHero()
	hero.portrait = "/Game/Gui/Common/Heroes/generic_standin.generic_standin"
	hero.name = "Peter_Butcher"
	hero.extra_traits = {UnitTrait.Butcher}
	hero.unit_classes = {UnitClass.Infantry}
	local action = world:MakeNewHeroAction(0, hero)
	world:Exec(action)
end


-- Wenn Spieler Depot erobert, Strkepunkte als "captured" zuweisen
captured_depots = {}

-- Count: 0 ; Actions: CaptureFlagAction ; Function: OnCaptureDepot1
Depot1 = {{9,13}}
string1 = "General, wir haben ein italienisches Depot erobert."

function OnCaptureDepot1(action)
	if IsItemInTable(captured_depots, action.flag) then return end			-- Abfrage ob Depot bereits erobert ist
	if (action.new_owner == 0 and IsItemInTable(Depot1, action.flag)) then	-- nur ausfhren, wenn Spieler (1. Spieler) Depot erobert
		AddEquipment(0, "90-53M41CAA", 19, captured)
		TutorialMessage(string1)					
		table.insert(captured_depots, action.flag)		-- Merken, dass das Depot erobert wurde
	else
		return
	end
end

-- Count: 0 ; Actions: CaptureFlagAction ; Function: OnCaptureDepot2
Depot2 = {{9,7}}
string2 = "General, wir haben ein italienisches Depot erobert."

function OnCaptureDepot2(action)
	if IsItemInTable(captured_depots, action.flag) then return end			-- Abfrage ob Depot bereits erobert ist
	if (action.new_owner == 0 and IsItemInTable(Depot2, action.flag)) then	-- nur ausfhren, wenn Spieler (1. Spieler) Depot erobert
		AddEquipment(0, "M13-40", 19, captured)
		TutorialMessage(string2)					
		table.insert(captured_depots, action.flag)		-- Merken, dass das Depot erobert wurde
	else
		return
	end
end

-- die 3 hierfr ntigen Hilfsfunktionen
function FindItemInTable(table, item)
	for index,i in ipairs(table) do
		if i == item then
			return index 
		end
	end
	return -1
end

function IsItemInTable(table, item)
	return FindItemInTable(table, item) ~= -1
end

function AddEquipment(player_id, unit_type, quantity, category)
	local player = world:GetPlayer(player_id)
	local equipment = player.equipment
	local type = GetUnitType(unit_type)
	local eq = equipment[type]
	if (eq == nil) then
		eq = NewEquipment()
		eq.category = category
		equipment[type] = eq
	end
	eq.quantity = eq.quantity + quantity
	player.equipment = equipment
end

