function CreateHero()
	local hero = NewHero()
	hero.portrait = "/Game/Gui/Common/Heroes/generic_standin.generic_standin"
	hero.name = "Frederick_ExpertSupport"
	hero.extra_traits = {UnitTrait.ExpertSupport}
	hero.unit_classes = {UnitClass.AntiAir}
	local action = world:MakeNewHeroAction(0, hero)
	world:Exec(action)
end


-- Wenn Spieler Hex erobert, Strkepunkte als "captured" zuweisen
-- Count: 0, Actions: CaptureFlagAction, Function: OnCaptureDepot
Depot = {{3,3}}
string = "General, wir haben einen Hangar der Italiener erobert."
captured_depots = {}

function OnCaptureDepot(action)
	if IsItemInTable(captured_depots, action.flag) then return end	    -- Abfrage ob Depot bereits erobert ist
	if (action.new_owner == 0 and IsItemInTable(Depot, action.flag)) then    -- nur ausfhren, wenn Spieler (player0) Depot erobert
		AddEquipment(0, "MC202Folgore", 19, captured)
		AddEquipment(0, "FiatCR25", 19, captured)
		AddEquipment(0, "CANTZ1007bis", 19, captured)
		TutorialMessage(string)					
		table.insert(captured_depots, action.flag)		-- Merken, dass das Depot erobert wurde
	else
		return
	end
end

-- die 3 hierfr ntigen Hilfsfunktionen
function FindItemInTable(table, item)
	for index,i in ipairs(table) do
		if i == item then
			return index 
		end
	end
	return -1
end

function IsItemInTable(table, item)
	return FindItemInTable(table, item) ~= -1
end

function AddEquipment(player_id, unit_type, quantity, category)
	local player = world:GetPlayer(player_id)
	local equipment = player.equipment
	local type = GetUnitType(unit_type)
	local eq = equipment[type]
	if (eq == nil) then
		eq = NewEquipment()
		eq.category = category
		equipment[type] = eq
	end
	eq.quantity = eq.quantity + quantity
	player.equipment = equipment
end
