function CreateHero()
	local hero = NewHero()
	hero.portrait = "/Game/Gui/Common/Heroes/generic_standin.generic_standin"
	hero.name = "George_ZeroSlots"
	hero.extra_traits = {UnitTrait.ZeroSlots}
	hero.unit_classes = {UnitClass.Artillery}
	local action = world:MakeNewHeroAction(1, hero)
	world:Exec(action)
end


-- Wenn Spieler Depot erobert, Strkepunkte als "captured" zuweisen
string = "General, wir haben ein Depot erobert."
captured_depots = {}

Depot1 = {{12,9}}
function OnCaptureDepot1(action)
	if IsItemInTable(captured_depots, action.flag) then return end
	if (action.new_owner == 1 and IsItemInTable(Depot1, action.flag)) then
		AddEquipment(1, "PanzerIVE", 19, captured)
		AddEquipment(1, "PanzerIIIH", 19, captured)
		TutorialMessage(string)					
		table.insert(captured_depots, action.flag)
	else
		return
	end
end

Depot2 = {{10,24}}
function OnCaptureDepot2(action)
	if IsItemInTable(captured_depots, action.flag) then return end
	if (action.new_owner == 1 and IsItemInTable(Depot2, action.flag)) then
		AddEquipment(1, "Kradschutzen", 19, captured)
		AddEquipment(1, "StuGIIIB", 19, captured)
		AddEquipment(1, "PanzerjagerIB", 19, captured)
		TutorialMessage(string)					
		table.insert(captured_depots, action.flag)
	else
		return
	end
end

-- die 3 hierfr ntigen Hilfsfunktionen
function FindItemInTable(table, item)
	for index,i in ipairs(table) do
		if i == item then
			return index 
		end
	end
	return -1
end

function IsItemInTable(table, item)
	return FindItemInTable(table, item) ~= -1
end

function AddEquipment(player_id, unit_type, quantity, category)
	local player = world:GetPlayer(player_id)
	local equipment = player.equipment
	local type = GetUnitType(unit_type)
	local eq = equipment[type]
	if (eq == nil) then
		eq = NewEquipment()
		eq.category = category
		equipment[type] = eq
	end
	eq.quantity = eq.quantity + quantity
	player.equipment = equipment
end


-- Nachschub-KI Einheiten erhalten einen Angriffs-Befehl
-- Count=1, Condition=RundeX, Action=EndTurnAction, Function=AngriffX
-- Hilfsprogramme IsItemInTable und FindItemInTable hierfr ntig

zone1 = { {14,1},{15,1},{26,9},{26,10},{26,11},{26,17},{26,18},{26,19},{26,23},{26,24},{26,25},{26,26},{26,27},{26,37},{26,39} }

function Runde1()
	return world.round == 4	-- wird eine Runde frher ausgefhrt
end

function SetOrder1(order)
	for id,u in pairs(world.units) do
		if (u.owner_id == 0 and IsItemInTable(zone1, u.position)) then			
			local orders = u.orders

			orders = {NewOrder(order)}
			u.orders = orders
		end
	end
end

-- KI Befehl fr die nchste Runde
function Angriff1()
	MessageBox("Warnung", "Weitere Feinde greifen von See aus an.")
	SetOrder1("AIOrderAttacker")
end


zone2 = { {1,38},{1,36},{1,34},{1,32},{1,31},{1,30},{1,25},{1,23},{1,21},{1,19},{1,14},{1,13},{2,10},{1,9},{2,9},{12,1},{13,1},{26,7}, {11,2} }

function Runde2()
	return world.round == 11	-- wird eine Runde frher ausgefhrt
end

function SetOrder2(order)
	for id,u in pairs(world.units) do
		if (u.owner_id == 0 and IsItemInTable(zone2, u.position)) then			
			local orders = u.orders

			orders = {NewOrder(order)}
			u.orders = orders
		end
	end
end

-- KI Befehl fr die nchste Runde
function Angriff2()
	MessageBox("Warnung", "Weitere Feinde greifen aus der Luft an.")
	SetOrder2("AIOrderAttacker")
end
