function CreateHero()
	local hero = NewHero()
	hero.portrait = "/Game/Gui/Common/Heroes/generic_standin.generic_standin"
	hero.name = "Albert_NoRetaliation"
	hero.extra_traits = {UnitTrait.NoRetaliation}
	hero.unit_classes = {UnitClass.AntiTank}
	local action = world:MakeNewHeroAction(1, hero)
	world:Exec(action)
end


-- Count: 0, Actions: CaptureFlagAction, Function: OnCaptureDepot
Depot = {{7,14}}
string = "General, wir haben ein deutsches Depot erobert."
captured_depots = {}

function OnCaptureDepot(action)
	if IsItemInTable(captured_depots, action.flag) then return end
	if (action.new_owner == 1 and IsItemInTable(Depot, action.flag)) then
		AddEquipment(1, "88mmFlaK36AA", 19, captured)
		AddEquipment(1, "SdKfz7-2AA", 19, captured)
		AddEquipment(1, "MarderIID", 19, captured)
		TutorialMessage(string)					
		table.insert(captured_depots, action.flag)
	else
		return
	end
end

-- die 3 hierfr ntigen Hilfsfunktionen
function FindItemInTable(table, item)
	for index,i in ipairs(table) do
		if i == item then
			return index 
		end
	end
	return -1
end

function IsItemInTable(table, item)
	return FindItemInTable(table, item) ~= -1
end

function AddEquipment(player_id, unit_type, quantity, category)
	local player = world:GetPlayer(player_id)
	local equipment = player.equipment
	local type = GetUnitType(unit_type)
	local eq = equipment[type]
	if (eq == nil) then
		eq = NewEquipment()
		eq.category = category
		equipment[type] = eq
	end
	eq.quantity = eq.quantity + quantity
	player.equipment = equipment
end



-- Nachschub-KI Einheiten erhalten einen Angriffs-Befehl
-- Count=1, Condition=RundeX, Action=EndTurnAction, Function=AngriffX
-- Hilfsprogramme IsItemInTable und FindItemInTable hierfr ntig
zone1 = { {3,1},{7,1},{13,1},{4,1},{5,1},{10,1},{12,1} }

function Runde1()
	return world.round == 6
end

function SetOrder1(order)
	for id,u in pairs(world.units) do
		if (u.owner_id == 0 and IsItemInTable(zone1, u.position)) then			
			local orders = u.orders

			orders = {NewOrder(order)}
			u.orders = orders
		end
	end
end

-- KI Befehl fr die nchste Runde
function Angriff1()
	MessageBox("Warnung", "Weitere Feinde greifen an.")
	SetOrder1("AIOrderAttacker")
end


function Runde2()
	return world.round == 10
end

-- alle AI Einheiten erhalten einen neuen Befehl
function SetOrder2(order)
	for id,u in pairs(world.units) do
		if (u.owner_id == 0) then			
			local orders = u.orders

			orders = {NewOrder(order)}
			u.orders = orders
		end
	end
end

-- KI Befehl fr die nchste Runde
function Angriff2()
	MessageBox("Warnung", "Alle Feinde greifen an.")
	SetOrder2("AIOrderAttacker")
end
