function CreateHero()
	local hero = NewHero()
	hero.portrait = "/Game/Gui/Common/Heroes/generic_standin.generic_standin"
	hero.name = "Charles_CityFighter"
	hero.extra_traits = {UnitTrait.CityFighter}
	hero.unit_classes = {UnitClass.Infantry}
	local action = world:MakeNewHeroAction(1, hero)
	world:Exec(action)
end


-- Nachschub-KI Einheiten erhalten einen Angriffs-Befehl
-- Count=1, Condition=RundeX, Action=EndTurnAction, Function=AngriffX
zone1 = { {31,5},{31,4},{20,22},{20,21},{21,23},{22,23},{22,22},{23,22},{26,24},{25,23},{26,23},{26,22} }

function Runde1()
	return world.round == 4
end

function SetOrder1(order)
	for id,u in pairs(world.units) do
		if (u.owner_id == 0 and IsItemInTable(zone1, u.position)) then			
			local orders = u.orders

			orders = {NewOrder(order)}
			u.orders = orders
		end
	end
end

-- KI Befehl fr die nchste Runde
function Angriff1()
	MessageBox("Warnung", "Weitere Feinde greifen an.")
	SetOrder1("AIOrderAttacker")
end


zone2 = { {30,4},{29,5},{29,7},{20,5},{11,5},{10,5},{11,4},{22,21},{23,21},{26,17},{26,16},{23,17},{24,16},{23,16},{20,16},{19,16},{19,15} }

function Runde2()
	return world.round == 8
end

function SetOrder2(order)
	for id,u in pairs(world.units) do
		if (u.owner_id == 0 and IsItemInTable(zone2, u.position)) then			
			local orders = u.orders

			orders = {NewOrder(order)}
			u.orders = orders
		end
	end
end

-- KI Befehl fr die nchste Runde
function Angriff2()
	MessageBox("Warnung", "Weitere Feinde greifen an.")
	SetOrder2("AIOrderAttacker")
end


function Runde3()
	return world.round == 12
end

-- alle AI Einheiten erhalten einen neuen Befehl
function SetOrder3(order)
	for id,u in pairs(world.units) do
		if (u.owner_id == 0) then			
			local orders = u.orders

			orders = {NewOrder(order)}
			u.orders = orders
		end
	end
end

-- KI Befehl fr die nchste Runde
function Angriff3()
	MessageBox("Warnung", "Alle Feinde greifen an.")
	SetOrder3("AIOrderAttacker")
end

-- die 2 hierfr ntigen Hilfsfunktionen
function FindItemInTable(table, item)
	for index,i in ipairs(table) do
		if i == item then
			return index 
		end
	end
	return -1
end

function IsItemInTable(table, item)
	return FindItemInTable(table, item) ~= -1
end
