function CreateHero()
	local hero = NewHero()
	hero.portrait = "/Game/Gui/Common/Heroes/generic_standin.generic_standin"
	hero.name = "Norman_CripplingBlow"
	hero.extra_traits = {UnitTrait.CripplingBlow}
	hero.attack_modifiers = {{type = TargetType.Air, mod = 1}}
	local action = world:MakeNewHeroAction(0, hero)
	world:Exec(action)
end


zone1 = { {23,36},{22,37},{12,12},{12,13},{5,29},{11,37},{16,36},{9,24},{5,23},{3,23},{8,22},{6,18},{7,18},{6,17},{5,17},{6,16},{12,11} }

function Runde1()
	return world.round == 5
end

function SetOrder1(order)
	for id,u in pairs(world.units) do
		if (u.owner_id == 1 and IsItemInTable(zone1, u.position)) then			
			local orders = u.orders

			orders = {NewOrder(order)}
			u.orders = orders
		end
	end
end

function Angriff1()
	SetOrder1("AIOrderAttacker")
	MessageBox("Warnung", "Weitere Feinde greifen an.")
end


function Runde2()
	return world.round == 9
end

function SetOrder2(order)
	for id,u in pairs(world.units) do
		if (u.owner_id == 1) then			
			local orders = u.orders

			orders = {NewOrder(order)}
			u.orders = orders
		end
	end
end

function Angriff2()
	SetOrder2("AIOrderAttacker")
	MessageBox("Warnung", "Der Feind startet einen Grossangriff.")
end


-- Flugzeughangar erobern
-- Count: 0, Condition: 'leer', Actions: CaptureFlagAction, Function: OnCaptureHangar
Hangar = {{8,8}}
captured_hangar = {}

function OnCaptureHangar(action)
	if IsItemInTable(captured_hangar, action.flag) then return end
	if (action.new_owner == 0 and IsItemInTable(Hangar, action.flag)) then
		AddEquipment(0, "Me262A", 19, captured)
		AddEquipment(0, "Hs129B3", 19, captured)
		TutorialMessage("Wir haben einen Flugzeughangar erobert.")					
		table.insert(captured_hangar, action.flag)
	else
		return
	end
end


-- die 3 hierfr ntigen Hilfsfunktionen
function FindItemInTable(table, item)
	for index,i in ipairs(table) do
		if i == item then
			return index 
		end
	end
	return -1
end

function IsItemInTable(table, item)
	return FindItemInTable(table, item) ~= -1
end

function AddEquipment(player_id, unit_type, quantity, category)
	local player = world:GetPlayer(player_id)
	local equipment = player.equipment
	local type = GetUnitType(unit_type)
	local eq = equipment[type]
	if (eq == nil) then
		eq = NewEquipment()
		eq.category = category
		equipment[type] = eq
	end
	eq.quantity = eq.quantity + quantity
	player.equipment = equipment
end
