function CreateHero()
	local hero = NewHero()
	hero.portrait = "/Game/Gui/Common/Heroes/generic_standin.generic_standin"
	hero.name = "Scott_SuperiorManeuver"
	hero.extra_traits = {UnitTrait.SuperiorManeuver}
	local action = world:MakeNewHeroAction(0, hero)
	world:Exec(action)
end


zone1 = { {22,39},{24,39},{12,4},{10,4},{9,3},{8,2},{8,3},{9,4},{9,5},{13,8},{10,10},{10,13},{12,14},{14,14},{16,10},{16,9},{18,6},{27,5},{21,14},{18,12},{18,11},{21,10},{23,8},{19,14},{20,14},{21,14},{22,12},{23,12},{24,12},{23,13},{23,15},{24,14},{27,10},{28,9},{27,15},{29,11},{27,6},{28,6},{31,6},{33,15} }

function Runde1()
	return world.round == 4
end

function SetOrder1(order)
	for id,u in pairs(world.units) do
		if (u.owner_id == 1 and IsItemInTable(zone1, u.position)) then			
			local orders = u.orders

			orders = {NewOrder(order)}
			u.orders = orders
		end
	end
end

function Angriff1()
	SetOrder1("AIOrderAttacker")
	MessageBox("Warnung", "Weitere Feinde greifen an.")
end


function Runde2()
	return world.round == 9
end

function SetOrder2(order)
	for id,u in pairs(world.units) do
		if (u.owner_id == 1) then			
			local orders = u.orders

			orders = {NewOrder(order)}
			u.orders = orders
		end
	end
end

function Angriff2()
	SetOrder2("AIOrderAttacker")
	MessageBox("Warnung", "Der Feind startet einen Grossangriff.")
end


Hangar = {{11,24}}
captured_hangar = {}

function OnCaptureHangar(action)
	if IsItemInTable(captured_hangar, action.flag) then return end
	if (action.new_owner == 0 and IsItemInTable(Hangar, action.flag)) then
		AddEquipment(0, "Ju87D3", 19, captured)
		AddEquipment(0, "He177B", 19, captured)

		AddEquipment(0, "SdKfz234-2-8Rad", 19, captured)
		AddEquipment(0, "128mmFlaK40AA", 19, captured)

		TutorialMessage("Wir haben ein Depot erobert.")					
		table.insert(captured_hangar, action.flag)
	else
		return
	end
end


-- die 3 hierfr ntigen Hilfsfunktionen
function FindItemInTable(table, item)
	for index,i in ipairs(table) do
		if i == item then
			return index 
		end
	end
	return -1
end

function IsItemInTable(table, item)
	return FindItemInTable(table, item) ~= -1
end

function AddEquipment(player_id, unit_type, quantity, category)
	local player = world:GetPlayer(player_id)
	local equipment = player.equipment
	local type = GetUnitType(unit_type)
	local eq = equipment[type]
	if (eq == nil) then
		eq = NewEquipment()
		eq.category = category
		equipment[type] = eq
	end
	eq.quantity = eq.quantity + quantity
	player.equipment = equipment
end
